For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete an email campaign

Soft-deletes an email campaign. Returns 204 No Content on success.

Only draft campaigns can be deleted — deleting a campaign that is already scheduled/sending returns 422. A campaign that has been started never returns to draft, so it can no longer be deleted. A scheduled campaign can be returned to draft first via the cancel or reset action endpoints.

delete
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token header

Path parameters
email_campaign_idinteger · int64 · min: 1Required

Unique identifier of the email campaign

Example: 4567
Responses
204

The email campaign was deleted. No response body.

No content

delete/api/email_campaigns/{email_campaign_id}
curl -X DELETE "https://mailtrap.io/api/email_campaigns/4567" \
  -H 'Api-Token: YOUR_API_KEY'

No content

Last updated

Was this helpful?